package net.sf.jasperreports.engine.base;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import net.sf.jasperreports.engine.JRPrintElement;
import net.sf.jasperreports.engine.JRPrintPage;

public class JRBasePrintPage implements JRPrintPage, Serializable {
  private static final long serialVersionUID = 10200L;
  
  protected List elements = new ArrayList();
  
  public List getElements() {
    return this.elements;
  }
  
  public void setElements(List elements) {
    this.elements = elements;
  }
  
  public void addElement(JRPrintElement element) {
    this.elements.add(element);
  }
}
